public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/librdkafka/
Date: Tue, 15 Dec 2020 21:43:37 +0000 (UTC)	[thread overview]
Message-ID: <1608068613.de031ea609f0491bbf1f478510d5f424a48bccce.whissi@gentoo> (raw)

commit:     de031ea609f0491bbf1f478510d5f424a48bccce
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 15 21:04:39 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 21:43:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de031ea6

dev-libs/librdkafka: bump to v1.5.3

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-libs/librdkafka/Manifest                |  1 +
 dev-libs/librdkafka/librdkafka-1.5.3.ebuild | 93 +++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-libs/librdkafka/Manifest b/dev-libs/librdkafka/Manifest
index eba346e62eb..dfcdf4dd624 100644
--- a/dev-libs/librdkafka/Manifest
+++ b/dev-libs/librdkafka/Manifest
@@ -1,3 +1,4 @@
 DIST librdkafka-1.4.4.tar.gz 2734332 BLAKE2B 47c22f00d88d58eb6366e17a8f0ddaee4984bc65f01a627c5d3b8eee019519a2de9a7ae6e2ab2053354a5d72337107b7f515ad65ff205b6838e154b95d9f2331 SHA512 478d17f56efd39b312ea774695bc31d22a83aae3a94913fb0dd07e7f04f3f2a6e3f3610dc7501864dbacbcf4a3207603c6e1d5eebac4e5246ee868cde398021d
 DIST librdkafka-1.5.0.tar.gz 2757553 BLAKE2B a9bbcdaa011944e43f9c70e2062199c5f12d1b92e40ba55707520002ed3a909ff13308336703924388625570d88a94d58b24cd19b5d6e9f79acd31dd92d0d7ed SHA512 ccd8dd3e90c9315833610745c28e0ffa60786324c938c7cbbb2ff847d7493d1b72d97adf5e5210bbc87970047cfd7e58a85141534d227187f2f17c492bef4262
 DIST librdkafka-1.5.2.tar.gz 2771823 BLAKE2B 61a56d36ba49539eb52f89a0d5b48e0245b1cedd09c40e65063d65208b50bb95aa5f00ce3c050d4203b4720b2ce63a9f1d6eee7100fdf85c50e7a15457a52010 SHA512 6a796c58aef9d91fe85f3815ee523a0dcafad59f33c83e5c20c62d4e4337c21c2d223dd0d6a88f37cf86d14a8e55facfa87c651990e08d9522f7cf78b0d17446
+DIST librdkafka-1.5.3.tar.gz 2773929 BLAKE2B f23ed9fe04af5d17ee2066366d32701a07f1360d665fd06126008f42e2512434848829eeb2578b35bd7f8fb26663d72c3d2ee22a5b3f33b7029df28f919b2b77 SHA512 24c93658462f933766a026fede5f09e1056ee9532f27b56da64bdde5626ac6f2460bc92b950337a7c3a99d75201a3c3bc5aaa78e888ffd9665e248d62f2c87d9

diff --git a/dev-libs/librdkafka/librdkafka-1.5.3.ebuild b/dev-libs/librdkafka/librdkafka-1.5.3.ebuild
new file mode 100644
index 00000000000..86b1ca55996
--- /dev/null
+++ b/dev-libs/librdkafka/librdkafka-1.5.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit python-any-r1 toolchain-funcs
+
+DESCRIPTION="Apache Kafka C/C++ client library"
+HOMEPAGE="https://github.com/edenhill/librdkafka"
+
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/edenhill/${PN}.git"
+
+	inherit git-r3
+else
+	SRC_URI="https://github.com/edenhill/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+LICENSE="BSD-2"
+
+# subslot = soname version
+SLOT="0/1"
+
+IUSE="lz4 sasl ssl static-libs zstd"
+
+LIB_DEPEND="
+	lz4? ( app-arch/lz4:=[static-libs(+)] )
+	sasl? ( dev-libs/cyrus-sasl:=[static-libs(+)] )
+	ssl? ( dev-libs/openssl:0=[static-libs(+)] )
+	zstd? ( app-arch/zstd:=[static-libs(+)] )
+	sys-libs/zlib:=[static-libs(+)]
+"
+
+BDEPEND="
+	virtual/pkgconfig
+	${PYTHON_DEPS}
+"
+
+RDEPEND="!static-libs? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+
+DEPEND="
+	${RDEPEND}
+	static-libs? ( ${LIB_DEPEND} )
+"
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	if [[ ${PV} != "9999" ]]; then
+		sed -i \
+			-e "s/^\(export RDKAFKA_GITVER=\).*/\1\"${PV}@release\"/" \
+			tests/run-test.sh || die
+	fi
+}
+
+src_configure() {
+	tc-export AR CC CXX LD NM OBJDUMP PKG_CONFIG STRIP
+
+	local myeconf=(
+		--no-cache
+		--no-download
+		--disable-debug-symbols
+		$(use_enable lz4)
+		$(use_enable sasl)
+		$(usex static-libs '--enable-static' '')
+		$(use_enable ssl)
+		$(use_enable zstd)
+	)
+
+	econf ${myeconf[@]}
+}
+
+src_test() {
+	emake -C tests run_local
+}
+
+src_install() {
+	emake -j1 \
+		DESTDIR="${D}" \
+		docdir="/usr/share/doc/${PF}" \
+		install
+
+	if ! use static-libs; then
+		find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
+	fi
+}


             reply	other threads:[~2020-12-15 21:43 UTC|newest]

Thread overview: 129+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-15 21:43 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-06  5:04 [gentoo-commits] repo/gentoo:master commit in: dev-libs/librdkafka/ Eli Schwartz
2024-04-24 16:18 Arthur Zamarin
2024-04-24  6:05 Sam James
2024-04-23 14:30 Sam James
2024-04-23 14:15 Sam James
2024-04-23 14:15 Sam James
2024-04-23 10:24 Arthur Zamarin
2024-01-11 14:13 Sam James
2024-01-03 18:52 Arthur Zamarin
2023-10-10  5:48 Joonas Niilola
2023-10-09 18:57 Sam James
2023-10-09  4:53 Sam James
2023-07-31  8:08 Joonas Niilola
2023-07-31  8:08 Joonas Niilola
2023-07-15  6:08 Sam James
2023-07-15  3:10 Sam James
2023-07-14 16:51 Arthur Zamarin
2023-07-14 16:16 Arthur Zamarin
2023-06-04 16:19 Arthur Zamarin
2023-05-27  7:49 Joonas Niilola
2023-05-14  9:45 Viorel Munteanu
2023-05-06  5:31 Miroslav Šulc
2023-05-01 12:39 Michał Górny
2022-08-05  9:31 Arthur Zamarin
2022-06-07  6:34 Agostino Sarubbo
2022-06-07  6:32 Agostino Sarubbo
2022-06-07  6:31 Agostino Sarubbo
2022-06-07  6:31 Agostino Sarubbo
2021-10-20 23:47 Thomas Deutschmann
2021-09-22 12:16 Thomas Deutschmann
2021-07-26 15:45 Marek Szuba
2021-05-15  2:41 Sam James
2021-05-15  2:37 Sam James
2021-05-11 15:34 Thomas Deutschmann
2021-04-06  1:02 Thomas Deutschmann
2021-04-06  1:00 Thomas Deutschmann
2021-04-06  1:00 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2020-10-20 19:26 Thomas Deutschmann
2020-07-26 18:30 Thomas Deutschmann
2020-07-26 18:30 Thomas Deutschmann
2020-07-26 18:30 Thomas Deutschmann
2020-07-26 18:30 Thomas Deutschmann
2020-07-02 17:05 Sergei Trofimovich
2020-06-25 21:43 Thomas Deutschmann
2020-06-21 16:58 Agostino Sarubbo
2020-06-21 16:54 Agostino Sarubbo
2020-06-20 16:40 Mart Raudsepp
2020-06-20 15:10 罗百科
2020-06-20 10:13 Thomas Deutschmann
2020-06-20  3:11 Thomas Deutschmann
2020-06-14 11:13 Sergei Trofimovich
2020-06-01  6:41 Georgy Yakovlev
2020-05-08 22:49 Thomas Deutschmann
2020-05-08 22:49 Thomas Deutschmann
2020-04-30  7:09 Sergei Trofimovich
2020-04-23  6:29 Agostino Sarubbo
2020-04-23  6:21 Agostino Sarubbo
2020-04-23  6:20 Agostino Sarubbo
2020-04-17 20:21 Mart Raudsepp
2020-04-16 12:07 Thomas Deutschmann
2020-01-06  0:50 Aaron Bauman
2020-01-04 22:50 Sergei Trofimovich
2020-01-01 19:43 Agostino Sarubbo
2019-12-31 14:06 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-09 23:12 Thomas Deutschmann
2019-11-17 20:25 Thomas Deutschmann
2019-10-11 14:26 Thomas Deutschmann
2019-10-11 14:26 Thomas Deutschmann
2019-09-26 13:50 Thomas Deutschmann
2019-09-14 23:28 Sergei Trofimovich
2019-08-14 18:07 Sergei Trofimovich
2019-08-12  9:11 Agostino Sarubbo
2019-08-10 22:00 Aaron Bauman
2019-07-28 11:05 Mikle Kolyada
2019-06-20 18:08 Mikle Kolyada
2019-06-11 22:15 Sergei Trofimovich
2019-06-10 14:23 Thomas Deutschmann
2019-06-04 23:12 Thomas Deutschmann
2019-05-29 22:45 Thomas Deutschmann
2019-04-05 20:21 Thomas Deutschmann
2019-01-03 19:12 Mikle Kolyada
2018-12-28 12:17 Sergei Trofimovich
2018-12-20  1:30 Thomas Deutschmann
2018-12-19 20:19 Mikle Kolyada
2018-12-11 16:42 Thomas Deutschmann
2018-12-11 16:42 Thomas Deutschmann
2018-12-02 13:29 Mikle Kolyada
2018-10-29 14:54 Thomas Deutschmann
2018-10-05 13:33 Mikle Kolyada
2018-10-05  4:10 Thomas Deutschmann
2018-07-28 12:47 Thomas Deutschmann
2018-07-28 12:47 Thomas Deutschmann
2018-07-23 19:00 Sergei Trofimovich
2018-07-22 15:18 Mikle Kolyada
2018-07-09  0:37 Mikle Kolyada
2018-07-04  3:17 Thomas Deutschmann
2018-05-21 19:02 Thomas Deutschmann
2018-04-10 10:58 Thomas Deutschmann
2018-03-28  5:05 Markus Meier
2018-02-10  0:32 Thomas Deutschmann
2018-01-28 16:08 Mikle Kolyada
2017-12-07 23:39 Thomas Deutschmann
2017-11-23 20:48 Thomas Deutschmann
2017-11-22 21:38 Sergei Trofimovich
2017-08-12 19:11 Thomas Deutschmann
2017-08-12 19:11 Thomas Deutschmann
2017-08-05 19:04 Sergei Trofimovich
2017-06-19  9:54 Alexis Ballier
2017-05-05 10:56 Thomas Deutschmann
2017-05-05 10:56 Thomas Deutschmann
2017-03-02 13:50 Thomas Deutschmann
2017-03-01  7:55 Michael Weber
2017-02-01 22:27 Jeroen Roovers
2017-01-31 11:43 Agostino Sarubbo
2017-01-29 13:55 Agostino Sarubbo
2016-12-10  1:36 Thomas Deutschmann
2016-11-27 21:08 Thomas Deutschmann
2016-09-25 19:57 Jeroen Roovers
2016-08-10 20:44 Thomas Deutschmann
2016-08-10 20:44 Thomas Deutschmann
2016-06-12 17:52 Patrice Clement
2016-05-10 12:42 Lars Wendler
2016-04-29  6:50 Jeroen Roovers
2016-04-21 15:49 Markus Meier
2016-03-15  7:17 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1608068613.de031ea609f0491bbf1f478510d5f424a48bccce.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox